package com.philisense.rdgo.bean.request;

/**
 * Created by shaop on 2017/12/14.
 */

public class PasswordRequestBean {

    private String Id;
    private String originalPassword;
    private String newPassword;
    private String accessToken;

    public LastUpdatedBy getLastUpdatedBy() {
        return lastUpdatedBy;
    }

    public void setLastUpdatedBy(LastUpdatedBy lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }

    public String getId() {
        return Id;
    }

    public void setId(String id) {
        Id = id;
    }

    public String getOriginalPassword() {
        return originalPassword;
    }

    public void setOriginalPassword(String originalPassword) {
        this.originalPassword = originalPassword;
    }

    public String getNewPassword() {
        return newPassword;
    }

    public void setNewPassword(String newPassword) {
        this.newPassword = newPassword;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    private LastUpdatedBy lastUpdatedBy;

    public static class LastUpdatedBy {
        private String account;
        private String person;
        private String sex;
        private String IDCard;
        private String factory;
        private String warehouse;
        private String line;

        public String getAccount() {
            return account;
        }

        public void setAccount(String account) {
            this.account = account;
        }

        public String getPerson() {
            return person;
        }

        public void setPerson(String person) {
            this.person = person;
        }

        public String getSex() {
            return sex;
        }

        public void setSex(String sex) {
            this.sex = sex;
        }

        public String getIDCard() {
            return IDCard;
        }

        public void setIDCard(String IDCard) {
            this.IDCard = IDCard;
        }

        public String getFactory() {
            return factory;
        }

        public void setFactory(String factory) {
            this.factory = factory;
        }

        public String getWarehouse() {
            return warehouse;
        }

        public void setWarehouse(String warehouse) {
            this.warehouse = warehouse;
        }

        public String getLine() {
            return line;
        }

        public void setLine(String line) {
            this.line = line;
        }
    }
}
